Proposal

Search proposals

get

Search proposals

Query parameters
NamestringOptional

Proposal name

EmailstringOptional

The bill to or sell to email

UpdatedAfterstringOptional

The UTC date and time in ISO 8601 format

UpdatedBeforestringOptional

The UTC date and time in ISO 8601 format

UpdatedBystring[]Optional

The unique external system user identifier

CreatedBystring[]Optional

The unique external system user identifier

SourcestringOptional

The source from where the proposal was created

CreatedAfterstringOptional

The UTC date and time in ISO 8601 format

CreatedBeforestringOptional

The UTC date and time in ISO 8601 format

LockedbooleanOptional

Retrieve proposals that are locked or not

Pageinteger · min: 1 · max: 9999Required

The page at which the proposals should be returned

Default: 1
Limitinteger · min: 1 · max: 100Required

The maximum number of proposals to return

Default: 10
LinkIdstringOptional

The link id for any status

Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

OK

application/json
pageintegerRequired

The incoming page value

Example: 0
limitintegerRequired

The incoming limit value

Example: 10
proposalsCountintegerRequired

The total number of proposal matching the criterias

Example: 1
pagesCountintegerRequired

The total number of pages for proposal matching the criterias

Example: 1
get
/proposals/

Create proposal

post

Create proposal

Header parameters
Acceptstring · enumRequiredExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Body

Proposal create request

NamestringOptional

The name of the proposal

Example: Renewal of antivirus
UserIdstringOptional

The unique external system user identifier

Example: [email protected]
Typestring · enumRequired

The type of the proposal

Default: acquisitionExample: acquisitionPossible values:
SourcestringRequired

The source from where the proposal was created

Example: SALESFORCE_CPQ
Scopestring · enum · nullableOptional

Amendment scope, send only for amendments. Use null to reset on update.

Default: nullExample: autorenewalPossible values:
Responses
post
/proposals/

Retrieve a proposal

get

Retrieve a proposal

Path parameters
proposalIdstringRequired

The unique merchant proposal id

Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

OK

application/json
ProposalIdstringRequired

The unique merchant proposal id

Example: FDG123
VersionintegerRequired

The version of the proposal. Every modification increments the version by 1.

Example: 1
CreatedDatestring · date-timeRequired

The UTC creation date for the proposal in ISO 8601 format

Example: 2020-01-05T17:21:42Z
UpdatedDatestring · date-timeRequired

The UTC last update date for the proposal in ISO 8601 format

Example: 2020-01-05T17:21:42Z
CreatedBystringRequired

The unique external system user identifier

Example: [email protected]
UpdatedBystringRequired

The unique external system user identifier

Example: [email protected]
LockedbooleanRequired

If the proposal is locked for buy modifications

Example: false
SourcestringRequired

The source from where the proposal was created

Example: SALESFORCE_CPQ
NamestringRequired

The name of the proposal

Example: Renewal of antivirus
Typestring · enumRequired

The type of the proposal

Default: acquisitionExample: acquisitionPossible values:
Statusstring · enumRequired

The status of the proposal

Default: openedPossible values:
ExpirationDatestring · date-timeOptional

The UTC expiration date for the proposal in ISO 8601 format. Set only when the status is changed to "sent".

Example: 2020-01-05T17:21:42Z
StatusCommentstringRequired

The associated comment for the status

Example: The price is too high for the first product
get
/proposals/{proposalId}

Update proposal

patch

Update proposal

Path parameters
proposalIdstringRequired

The unique merchant proposal id

Header parameters
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Acceptstring · enumRequiredExample: application/jsonPossible values:
Body

Proposal update request

NamestringOptional

The name of the proposal

Example: Renewal of antivirus
UserIdstringOptional

The unique external system user identifier

Example: [email protected]
LockedbooleanOptional

If the proposal is locked for buy modifications

Example: false
Scopestring · enum · nullableOptional

Amendment scope, send only for amendments. Use null to reset on update.

Default: nullExample: autorenewalPossible values:
Responses
200

OK

application/json
ProposalIdstringRequired

The unique merchant proposal id

Example: FDG123
VersionintegerRequired

The version of the proposal. Every modification increments the version by 1.

Example: 1
CreatedDatestring · date-timeRequired

The UTC creation date for the proposal in ISO 8601 format

Example: 2020-01-05T17:21:42Z
UpdatedDatestring · date-timeRequired

The UTC last update date for the proposal in ISO 8601 format

Example: 2020-01-05T17:21:42Z
CreatedBystringRequired

The unique external system user identifier

Example: [email protected]
UpdatedBystringRequired

The unique external system user identifier

Example: [email protected]
LockedbooleanRequired

If the proposal is locked for buy modifications

Example: false
SourcestringRequired

The source from where the proposal was created

Example: SALESFORCE_CPQ
NamestringRequired

The name of the proposal

Example: Renewal of antivirus
Typestring · enumRequired

The type of the proposal

Default: acquisitionExample: acquisitionPossible values:
Statusstring · enumRequired

The status of the proposal

Default: openedPossible values:
ExpirationDatestring · date-timeOptional

The UTC expiration date for the proposal in ISO 8601 format. Set only when the status is changed to "sent".

Example: 2020-01-05T17:21:42Z
StatusCommentstringRequired

The associated comment for the status

Example: The price is too high for the first product
patch
/proposals/{proposalId}

Execute an action on the proposal

post

Execute an action on the proposal

Path parameters
proposalIdstringRequired

The unique merchant proposal id

Header parameters
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Acceptstring · enumRequiredExample: application/jsonPossible values:
Body

Proposal action request

ExpirationDatestring · date-timeOptional

The UTC expiration date for the proposal in ISO 8601 format. Set only when the status is changed to "sent".

Example: 2020-01-05T17:21:42Z
UserIdstringOptional

The unique external system user identifier

Example: [email protected]
Actionstring · enumRequired

The action to perform. For feedback, the statusComment parameter is mandatory to be provided. For send, the expirationDate and sentBy parameters are mandatory to be provided. For send, reopen and discard it is recommended to provide the userId parameter. For decline is recommended to provide the statusComment parameter.

Possible values:
StatusCommentstringOptional

The associated comment for the status

Example: The price is too high for the first product
SendEmailbooleanOptional

used to skip sending notification email when set to false on sending or accepting a proposal

Default: true
Responses
200

OK

application/json
ProposalIdstringRequired

The unique merchant proposal id

Example: FDG123
VersionintegerRequired

The version of the proposal. Every modification increments the version by 1.

Example: 1
CreatedDatestring · date-timeRequired

The UTC creation date for the proposal in ISO 8601 format

Example: 2020-01-05T17:21:42Z
UpdatedDatestring · date-timeRequired

The UTC last update date for the proposal in ISO 8601 format

Example: 2020-01-05T17:21:42Z
CreatedBystringRequired

The unique external system user identifier

Example: [email protected]
UpdatedBystringRequired

The unique external system user identifier

Example: [email protected]
LockedbooleanRequired

If the proposal is locked for buy modifications

Example: false
SourcestringRequired

The source from where the proposal was created

Example: SALESFORCE_CPQ
NamestringRequired

The name of the proposal

Example: Renewal of antivirus
Typestring · enumRequired

The type of the proposal

Default: acquisitionExample: acquisitionPossible values:
Statusstring · enumRequired

The status of the proposal

Default: openedPossible values:
ExpirationDatestring · date-timeOptional

The UTC expiration date for the proposal in ISO 8601 format. Set only when the status is changed to "sent".

Example: 2020-01-05T17:21:42Z
StatusCommentstringRequired

The associated comment for the status

Example: The price is too high for the first product
post
/proposals/{proposalId}/action

Last updated

Was this helpful?